1

I had Virtualbox 5.0 installed, but at every first VM start I got to execute the following command:

sudo /sbin/rcvboxdrv setup

So I decided to remove Virtualbox and install version 5.1 for Ubuntu 16.04. That was a bad decision. I can't get it working.

$ sudo dpkg -i virtualbox-5.1_5.1.8-111374~Ubuntu~xenial_amd64.deb 
Selecting previously unselected package virtualbox-5.1.
(Reading database ... 814705 files and directories currently installed.)
Preparing to unpack virtualbox-5.1_5.1.8-111374~Ubuntu~xenial_amd64.deb ...
Unpacking virtualbox-5.1 (5.1.8-111374~Ubuntu~xenial) ...
dpkg: dependency problems prevent configuration of virtualbox-5.1:
 virtualbox-5.1 depends on libqt5x11extras5 (>= 5.1.0); however:
  Package libqt5x11extras5 is not installed.

$ sudo apt install libqt5x11extras5
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package libqt5x11extras5 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libqt5x11extras5' has no installation candidate

How can I get Virtualbox 5.1 installed on Ubuntu 16.04?

2

You can download it manually from here.


P.S. I wonder, should it not be in the repo?

4
  • It might not be in the repo right away, Ubuntu is usually more or less a year behind.
    – user595510
    Oct 25 '16 at 13:56
  • It is in the Universe repos. packages.ubuntu.com/xenial/libqt5x11extras5
    – Terrance
    Oct 25 '16 at 14:15
  • @Terrance So it should be there! Oct 25 '16 at 14:24
  • Yeah, it's there. It almost sounds like OP doesn't have the universe repository enabled in the sources.list file.
    – Terrance
    Oct 25 '16 at 14:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.